Subject: Re: Absolute file-path under bash (cygwin32)
From: [email-masked] (Paul Prescod)

17 Apr 1997 22:28:33 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 4.0b3 [en] (Win95; I)
Original-To: [email-masked]
Original-CC: Hawkeye <[email-masked]>, [email-masked], [email-masked]
X-Priority: 3 (Normal)
Original-Sender: [email-masked]

Scott Blachowicz wrote:
> Yeah...by the time the string gets to a file path manipulation function, why
> not just treat both "/" and "\" as being equivalent separators?

Because who wants to rewrite every Unix application that uses its own
file path manipulation functions? I would love to be told that doing
file path manipulation using strtok and strcmp is rare, but I would be
surprised if that is the case.

 Paul Prescod

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".